C====MAIN PROGRAM ------------------
C---Angle distribution in elastic scattering
C-------------------------------
      INTEGER   NO,NW,NTET,NLV,LV(10)
       REAL*8  GRAD(180),EEL(600),
     *    IMDEL(600),REDEL(600),RES(600),RES2(600)


       NAMELIST/ANGL/ NO,NTET,GRAD,NLV,LV, 
     *    NW,EEL,REDEL,IMDEL

      OPEN(5,FILE='SYS$INPU',STATUS='OLD')
      READ(5,ANGL)
      OPEN(6,FILE='SYS$OUTP',STATUS='NEW')

      CALL ANGLSCAT(NO,NTET,GRAD,NW,EEL,
     *       NLV,LV,REDEL,IMDEL,RES,RES2)
      STOP
      END
